[arch-commits] Commit in libofa/repos (3 files)

Eric Bélanger eric at archlinux.org
Fri Apr 10 03:54:53 EDT 2009


    Date: Friday, April 10, 2009 @ 03:54:52
  Author: eric
Revision: 34570

Merged revisions 34569 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libofa/trunk

........
  r34569 | eric | 2009-04-10 03:54:35 -0400 (Fri, 10 Apr 2009) | 2 lines
  
  upgpkg: libofa 0.9.3-2
      Added license, Updated url, Added gcc-libs depends, Added gcc 4.3 build patch, Fixed maintainer tag
........

Added:
  libofa/repos/extra-x86_64/libofa-0.9.3-gcc-4.3.patch
    (from rev 34569, libofa/trunk/libofa-0.9.3-gcc-4.3.patch)
Modified:
  libofa/repos/extra-x86_64/	(properties)
  libofa/repos/extra-x86_64/PKGBUILD

----------------------------+
 PKGBUILD                   |   25 ++++++++++++++-----------
 libofa-0.9.3-gcc-4.3.patch |   35 +++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+), 11 deletions(-)


Property changes on: libofa/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libofa/trunk:1-9150
   + /libofa/trunk:1-34569

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-10 07:54:35 UTC (rev 34569)
+++ extra-x86_64/PKGBUILD	2009-04-10 07:54:52 UTC (rev 34570)
@@ -1,23 +1,26 @@
 # $Id$
-# Mantainer: Tobias Powalowski <tpowa at archlinux.org>
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=libofa
 pkgver=0.9.3
-pkgrel=1
+pkgrel=2
 pkgdesc="Open Fingerprint Architecture"
 arch=(i686 x86_64)
-url="http://www.musicdns.org/"
-depends=('expat' 'curl' 'fftw')
-makedepends=(pkgconfig)
+url="http://code.google.com/p/musicip-libofa/"
+license=('GPL2' 'custom')
+depends=('expat' 'curl' 'fftw' 'gcc-libs')
+makedepends=('pkgconfig')
 options=('!libtool')
 source=(http://www.musicip.com/dns/files/$pkgname-$pkgver.tar.gz
-	gcc-4.patch)
-md5sums=('51507d2c4b432bd2755f48d58471696e' 'a6f78b90bd0f4354d022a71c3e58ef6c')
+	gcc-4.patch libofa-0.9.3-gcc-4.3.patch)
+md5sums=('51507d2c4b432bd2755f48d58471696e' 'a6f78b90bd0f4354d022a71c3e58ef6c'\
+         'dd57db13770b8f8d196e8a3d3a50e713')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   patch -Np0 -i ../gcc-4.patch || return 1
-  ./configure --prefix=/usr
+  patch -Np1 -i ../libofa-0.9.3-gcc-4.3.patch || return 1
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-

Copied: libofa/repos/extra-x86_64/libofa-0.9.3-gcc-4.3.patch (from rev 34569, libofa/trunk/libofa-0.9.3-gcc-4.3.patch)
===================================================================
--- extra-x86_64/libofa-0.9.3-gcc-4.3.patch	                        (rev 0)
+++ extra-x86_64/libofa-0.9.3-gcc-4.3.patch	2009-04-10 07:54:52 UTC (rev 34570)
@@ -0,0 +1,35 @@
+diff -ur libofa-0.9.3.orig/examples/example.cpp libofa-0.9.3/examples/example.cpp
+--- libofa-0.9.3.orig/examples/example.cpp	2006-05-10 21:05:37.000000000 +0300
++++ libofa-0.9.3/examples/example.cpp	2008-04-16 15:51:49.000000000 +0300
+@@ -9,6 +9,8 @@
+ 
+ #include "protocol.h"
+ 
++#include <string.h>
++ 
+ AudioData* loadWaveFile(char *file);
+ AudioData* loadDataUsingLAME(char *file);
+ 
+Vain hakemistossa libofa-0.9.3/examples: example.cpp.orig
+diff -ur libofa-0.9.3.orig/examples/protocol.cpp libofa-0.9.3/examples/protocol.cpp
+--- libofa-0.9.3.orig/examples/protocol.cpp	2006-05-10 21:05:42.000000000 +0300
++++ libofa-0.9.3/examples/protocol.cpp	2008-04-16 15:51:49.000000000 +0300
+@@ -8,6 +8,7 @@
+ -------------------------------------------------------------------*/
+ #include <stdio.h>
+ #include <stdlib.h>
++#include <cstring>
+ #include <string>
+ #include <map>
+ #include <expat.h>
+diff -ur libofa-0.9.3.orig/lib/signal_op.cpp libofa-0.9.3/lib/signal_op.cpp
+--- libofa-0.9.3.orig/lib/signal_op.cpp	2006-05-10 21:01:12.000000000 +0300
++++ libofa-0.9.3/lib/signal_op.cpp	2008-04-16 15:51:49.000000000 +0300
+@@ -12,6 +12,7 @@
+ // DATE CREATED: 1/12/06
+ 
+ 
++#include <cstdlib>
+ #include <math.h>
+ #include "signal_op.h"
+ #include "AFLIB/aflibConverter.h"



More information about the arch-commits mailing list